import React from 'react';
import { Content, makeThumbnailUrl } from '../../accessor/contents';
import {MangaReader} from './manga';

export type PresenterCollection = {
    ReaderPage: (props:{content:Content,className?:string})=> JSX.Element;
};

export const getPresenter = (content:Content):PresenterCollection=>{
    return {
        ReaderPage:MangaReader
    };
}

export const ThumbnailContainer = (props:{content:Content, className?:string})=>{
    const thumbnailurl = makeThumbnailUrl(props.content);
    if(props.content.content_type === "video"){
        return (<video src={thumbnailurl} className={props.className}></video>)
    }
    else return (<img src={thumbnailurl} className={props.className}></img>)
}